| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >:
[legend]

## Classes
struct | Operations

## Public Types
typedef TupleT | ResultT
typedef tuple_remove_first_type< TupleT >::type | TailT
typedef tuple_get_first_type< TupleT >::type | HeadT

## Public Member Functions
| TupleInnerGrammar ()

## Public Attributes
TupleInnerGrammar< Iterator, TailT, N-1, Skipper > | grLast
Grammar_< Iterator, HeadT, Skipper >::Grammar | grHead
qi::rule< Iterator, ResultT(), qi::locals< HeadT >, Skipper > | tup
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>
struct Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >

Definition at line 187 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

typedef tuple_get_first_type<TupleT>::type Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::HeadT

Definition at line 192 of file GrammarsV2.h.

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

typedef TupleT Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::ResultT

Definition at line 190 of file GrammarsV2.h.

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

typedef tuple_remove_first_type<TupleT>::type Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::TailT

Definition at line 191 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::TupleInnerGrammar | ( |  | ) |
| inline

Definition at line 209 of file GrammarsV2.h.

209 : TupleInnerGrammar::base_type( tup )
210 {
211 tup = grHead[qi::_a = qi::_1] >> ',' >> grLast[op( qi::_val, qi::_a, qi::_1 )];
212 }
Gaudi::Parsers::TupleInnerGrammar::tup
qi::rule< Iterator, ResultT(), qi::locals< HeadT >, Skipper > tup
Definition: GrammarsV2.h:217
Gaudi::Parsers::TupleInnerGrammar::grLast
TupleInnerGrammar< Iterator, TailT, N-1, Skipper > grLast
Definition: GrammarsV2.h:214
Gaudi::Parsers::TupleInnerGrammar::grHead
Grammar_< Iterator, HeadT, Skipper >::Grammar grHead
Definition: GrammarsV2.h:215
Gaudi::Parsers::TupleInnerGrammar::op
ph::function< Operations > op
Definition: GrammarsV2.h:218

## Member Data Documentation

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

Grammar_<Iterator, HeadT, Skipper>::Grammar Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::grHead

Definition at line 215 of file GrammarsV2.h.

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

TupleInnerGrammar<Iterator, TailT, N - 1, Skipper> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::grLast

Definition at line 214 of file GrammarsV2.h.

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

ph::function<Operations> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::op

Definition at line 218 of file GrammarsV2.h.

template<typename Iterator, typename TupleT, std::size_t N, typename Skipper>

qi::rule<Iterator, ResultT(), qi::locals<HeadT>, Skipper> Gaudi::Parsers::TupleInnerGrammar< Iterator, TupleT, N, Skipper >::tup

Definition at line 217 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h